API ReferencePipelines
Update pipeline
Update pipeline details.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidpipelineId*string
Format
uuidRequest Body
application/json
name?string
description?string
triggerCriteria?object
Response Body
application/json
curl -X PATCH "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "Sales Pipeline v2", "description": "Updated sales funnel" }'{
"pipeline": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"name": "string",
"description": "string",
"isDefault": false,
"triggerCriteria": {},
"sortOrder": 0,
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty
Empty